Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24793

Description

In the Processing Options, the `Default output raster layer [it should be "file" BTW] extension` includes vector extensions.

Associated revisions

Revision a48c1469 - 2017-07-26 02:22 AM - Nyall Dawson

Fix vector file formats show in processing options for raster output

extension (fix #16894)

History

#1 - 2017-07-20 11:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Low to Normal

Can you name some example of vector extension among raster ones?

#2 - 2017-07-20 12:38 PM - Paolo Cavallini

The obvious ones, e.g. csv, dwg, dxf, etc., even shp

#3 - 2017-07-20 12:50 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2017-07-20 02:57 PM - Paolo Cavallini

This is unchanged from 2.18

#5 - 2017-07-20 03:39 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

Paolo Cavallini wrote:
This is unchanged from 2.18

I cannot confirm (both windows and linux), on 2.18.10 vector extension were not listed.

#6 - 2017-07-26 02:27 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a48c1469165b487d0e9dfd9bf4dcac44158911c5.
